"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/4_/xyjwmyz1497g3qhhndg003800000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x107645430>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1076454c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107645550>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1076455e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x107645670>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x107645700>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107645790>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107645820>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1076458b0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107645940>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1076459d0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x107645a60>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x107645af0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x107645b80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x107645c10>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x107645ca0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x107645d30>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x107645dc0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x107645e50>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x107645ee0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x107645f70>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10764b040>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10764b0d0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10764b160>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10764b280>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10764b1f0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10764b310>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10764b3a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10764b430>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10764b4c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10764b550>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10764b5e0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10764b670>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10764b700>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10764b790>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10764b820>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10764b8b0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10764b940>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10764b9d0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10764ba60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10764baf0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10764bb80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10764bc10>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10764bca0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10764bd30>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10764bdc0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10764be50>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10764bee0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10764bf70>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10764f040>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10764f0d0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10764f160>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10764f1f0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10764f280>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10764f310>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10764f3a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10764f430>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10764f4c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10764f550>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10764f5e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10764f670>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10764f700>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10764f790>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10764f820>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10764f8b0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10764fa60>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10764f940>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10764faf0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10764fb80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10764fc10>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10764fca0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10764fd30>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10764fe50>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10764fdc0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10764fee0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10764ff70>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x107653040>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x107653160>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1076530d0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1076531f0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x107653280>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x107653310>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1076533a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x107653430>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1076534c0>)]
name: str = 'fr_HOCCN'
